aom_svc_ref_frame_config Struct Reference
Supported Codecs » AOM » AOMedia AOM/AV1 Encoder

Parameters for setting ref frame config. More...

`#include <aomcx.h>`

## Data Fields

int | reference [7]
int | ref_idx [7]
int | refresh [8]

## Detailed Description

Parameters for setting ref frame config.

## Field Documentation

## reference

int aom_svc_ref_frame_config::reference[7]

Reference flag for each of the 7 references.

## ref_idx

int aom_svc_ref_frame_config::ref_idx[7]

Buffer slot index (0..7) for each of 7 references indexed above.

## refresh

int aom_svc_ref_frame_config::refresh[8]

Refresh flag for each of the 8 buffer slots.

The documentation for this struct was generated from the following file:

- aom/aomcx.h